﻿* Encoding: UTF-8.
*DEMOGRAPHICS

FREQUENCIES VARIABLES=Q2 Q3 Q4 Q5 Q87 
  /ORDER=ANALYSIS.

Recode Q2 (lowest through highest=copy) into Age.
Recode Q3 (lowest through highest=copy) into Gender.
Recode Q4 (lowest through highest=copy) into Education.
Recode Q5 (lowest through highest=copy) into Occupation.
Recode Q87 (lowest through highest=copy) into Region.
execute.

value label Gender 1 'Male' 2 'Female' 3 'other'.

* SMOKING

FREQUENCIES VARIABLES=Q36 Q25 Q88 Q22 
  /ORDER=ANALYSIS.

Recode Q36 (lowest thru highest=copy) into SmokeYN.
execute.

Value label SmokeYN 1'Smoker' 2 'Non Smoker'.

Recode Q25 (lowest thru highest=copy) into AverageSmokProd.
execute.
Variable label AverageSmokProd 'Average tobacco products per day in last 6 months'.



Recode Q88 (lowest thru highest=copy) into QuitYN.
execute.

value label QuitYN 1 'Attempted but failed' 2 'Attempted and succeeded' 3 'No attempt'.

* Q22 from string to numeric (no text in column, just numbers).

Recode Q22 (lowest thru highest=copy) into MinutesFirstCig.
execute.

FREQUENCIES VARIABLES=SmokeYN AverageSmokProd QuitYN MinutesFirstCig 
  /STATISTICS=STDDEV MEAN 
  /ORDER=ANALYSIS.


* ADDICTION AND CRAVING ETC

FREQUENCIES VARIABLES=Q20_1 Q23_1 Q24_1 Q24_2 Q24_3 Q24_4 Q24_5 Q24_6 Q24_7 Q24_8 Q8_1
  /STATISTICS=STDDEV MEAN 
  /ORDER=ANALYSIS.


Recode Q20_1 Q8_1 (lowest thru highest=copy) into Addiction100scale T1A_Craving100scale.
execute.


* BASED ON TABLE 4 ETTER 2003, CATEGORIES SHOULD BE ASSIGNED
* ITEMS ONLY AVAILABLE FOR SMOKERS!

IF (Addiction100scale < 21) T1A_AddictionCat=1.
IF (Addiction100scale > 20) & (Addiction100scale < 41) T1A_AddictionCat=2.
IF (Addiction100scale > 40) & (Addiction100scale < 61) T1A_AddictionCat=3.
IF (Addiction100scale > 60) & (Addiction100scale < 81) T1A_AddictionCat=4.
IF (Addiction100scale > 80) T1A_AddictionCat=5.
execute.

FREQUENCIES VARIABLES=Addiction100scale T1A_AddictionCat AverageSmokProd
  /STATISTICS=STDDEV MEAN 
  /ORDER=ANALYSIS.

IF (AverageSmokProd<6) T1A_SmokingCat=1.
IF (AverageSmokProd>5) & (AverageSmokProd<11) T1A_SmokingCat=2.
IF (AverageSmokProd>10) & (AverageSmokProd<21) T1A_SmokingCat=3.
IF (AverageSmokProd>20) & (AverageSmokProd<30) T1A_SmokingCat=4.
IF (AverageSmokProd>29) T1A_SmokingCat=5.

FREQUENCIES VARIABLES= AverageSmokProd T1A_SmokingCat MinutesFirstCig
  /STATISTICS=STDDEV MEAN 
  /ORDER=ANALYSIS.

IF (MinutesFirstCig<6) T1A_TimeCigCat=1.
IF (MinutesFirstCig>5) & (MinutesFirstCig<16) T1A_TimeCigCat=2.
IF (MinutesFirstCig>15) & (MinutesFirstCig<31) T1A_TimeCigCat=3.
IF (MinutesFirstCig>30) & (MinutesFirstCig<61) T1A_TimeCigCat=4.
IF (MinutesFirstCig>60) T1A_TimeCigCat=5.
execute.

FREQUENCIES VARIABLES= MinutesFirstCig T1A_TimeCigCat
  /STATISTICS=STDDEV MEAN 
  /ORDER=ANALYSIS.


Recode Q24_1 Q24_2 Q24_3 Q24_4 Q24_5 Q24_6 Q24_7 Q24_8 (1=1)(2=2)(3=2)(4=3)(5=4)(6=4)(7=5) into 
 T1A_Depend_a T1A_Depend_b T1A_Depend_c T1A_Depend_d T1A_Depend_e T1A_Depend_f T1A_Depend_g T1A_Depend_h.
 execute.

RELIABILITY 
  /VARIABLES=T1A_AddictionCat T1A_SmokingCat T1A_TimeCigCat T1A_Depend_a T1A_Depend_b T1A_Depend_c T1A_Depend_d T1A_Depend_e T1A_Depend_f T1A_Depend_g T1A_Depend_h
    /SCALE('ALL VARIABLES') ALL 
  /MODEL=ALPHA 
  /STATISTICS=DESCRIPTIVE SCALE 
  /SUMMARY=TOTAL.

* alpha .88

Compute T1A_NicotineDepend = Mean(T1A_AddictionCat, T1A_SmokingCat, T1A_TimeCigCat, T1A_Depend_a, T1A_Depend_b, T1A_Depend_c, T1A_Depend_d, T1A_Depend_e, T1A_Depend_f, T1A_Depend_g, T1A_Depend_h).
execute.


* SHORT FORM TOBACCO CRAVING QUESTIONNAIRE

FREQUENCIES VARIABLES=Q27_1 Q27_2 Q27_3 Q27_4 Q27_5 Q27_6 Q27_7 Q27_8 Q27_9 Q27_10 Q27_11 Q27_12 
  /ORDER=ANALYSIS.

Recode Q27_1 Q27_2 Q27_3 Q27_4 Q27_5 Q27_6 Q27_7 Q27_8 Q27_9 Q27_10 Q27_11 Q27_12 
 (1=-3)(2=-2)(3=-1)(4=0)(5=1)(6=2)(7=3) into
SFTCQ_T1a_a SFTCQ_T1a_b SFTCQ_T1a_c SFTCQ_T1a_d SFTCQ_T1a_e SFTCQ_T1a_f
 SFTCQ_T1a_g SFTCQ_T1a_h SFTCQ_T1a_i SFTCQ_T1a_j SFTCQ_T1a_k SFTCQ_T1a_l.
execute.


RELIABILITY 
  /VARIABLES=SFTCQ_T1a_a SFTCQ_T1a_b SFTCQ_T1a_c SFTCQ_T1a_d SFTCQ_T1a_e SFTCQ_T1a_f
 SFTCQ_T1a_g SFTCQ_T1a_h SFTCQ_T1a_i SFTCQ_T1a_j SFTCQ_T1a_k SFTCQ_T1a_l
  /SCALE('ALL VARIABLES') ALL 
  /MODEL=ALPHA 
  /STATISTICS=DESCRIPTIVE SCALE 
  /SUMMARY=TOTAL.

Compute SFTCQ_T1A= Mean(SFTCQ_T1a_a, SFTCQ_T1a_b,SFTCQ_T1a_c,SFTCQ_T1a_d,SFTCQ_T1a_e, 
   SFTCQ_T1a_f,SFTCQ_T1a_g,SFTCQ_T1a_h,SFTCQ_T1a_i,SFTCQ_T1a_j,SFTCQ_T1a_k, 
   SFTCQ_T1a_l).

FREQUENCIES VARIABLES=SFTCQ_T1A 
  /STATISTICS=STDDEV MEAN 
  /ORDER=ANALYSIS.

* SITUATIONS

FREQUENCIES VARIABLES=Q79 Q80 Q74 Q81 Q77 Q75 
  /STATISTICS=STDDEV MEAN 
  /ORDER=ANALYSIS.

Recode Q79 Q74 Q77 (1=1) (2=2) into SmokeTransYN SmokeMornYN SmokeBarYN.
execute.

value label SmokeTransYN SmokeMornYN SmokeBarYN 1 'Yes' 2 'No'.

Recode Q80 Q81 Q75 (1=0)(2=1)(3=2)(4=3)(5=4) into OftenTrans OftenMorn OftenBar.
execute.


* T1B Immersion and presence

Recode Q10_1 Q10_2 Q10_3 (lowest thru highest=copy) into T1b_ImmersTrans T1b_ImmersMorn T1b_ImmersBar.
execute.

Compute T1b_Immersion = Mean(T1b_ImmersTrans, T1b_ImmersMorn, T1b_ImmersBar).
execute.


FREQUENCIES VARIABLES=Q11_1 Q11_2 Q11_3 Q11_4 Q11_5 Q11_6 Q11_7 Q11_8 Q11_9 Q11_10 Q11_11 Q11_12 
    Q11_13 
  /STATISTICS=STDDEV MEAN 
  /ORDER=ANALYSIS.

* Q11_3 _4 _7 _9 reverse

Recode Q11_1 Q11_2  Q11_5 Q11_6  Q11_8  Q11_10 Q11_11 Q11_12  Q11_13 
 (1=-3)(2=-2)(3=-1)(4=0)(5=1)(6=2)(7=3) into 
 PresenceT1b_1  PresenceT1b_2  PresenceT1b_5  PresenceT1b_6  PresenceT1b_8  PresenceT1b_10  PresenceT1b_11
   PresenceT1b_12  PresenceT1b_13.

Recode Q11_3 Q11_4 Q11_7  Q11_9
 (1=3)(2=2)(3=1)(4=0)(5=-1)(6=-2)(7=-3) into PresenceT1b_3 PresenceT1b_4 PresenceT1b_7 PresenceT1b_9.
execute.

FACTOR 
  /VARIABLES PresenceT1b_3 PresenceT1b_4 PresenceT1b_7 PresenceT1b_9 PresenceT1b_1 PresenceT1b_2 
    PresenceT1b_5 PresenceT1b_6 PresenceT1b_8 PresenceT1b_10 PresenceT1b_11 PresenceT1b_12 
    PresenceT1b_13 
  /MISSING LISTWISE 
  /ANALYSIS PresenceT1b_3 PresenceT1b_4 PresenceT1b_7 PresenceT1b_9 PresenceT1b_1 PresenceT1b_2 
    PresenceT1b_5 PresenceT1b_6 PresenceT1b_8 PresenceT1b_10 PresenceT1b_11 PresenceT1b_12 
    PresenceT1b_13 
  /PRINT INITIAL EXTRACTION ROTATION 
  /FORMAT BLANK(.40) 
  /PLOT EIGEN 
  /CRITERIA MINEIGEN(1) ITERATE(25) 
  /EXTRACTION PC 
  /CRITERIA ITERATE(25) DELTA(0) 
  /ROTATION OBLIMIN 
  /METHOD=CORRELATION.

* multiple factors; finalize after merging 2D and 3D data NOG DOEN DUS

* FOR PAPER, ITEM 1 THROUGH 10 REFLECT PRESENCE, 11-13 REALISM
* RECODE



Recode PresenceT1b_11 PresenceT1b_12  PresenceT1b_12 (lowest thru highest=copy) into Realism_T1b_1 Realism_T1b_2 Realism_T1b_3.
execute.

RELIABILITY 
  /VARIABLES=PresenceT1b_1  PresenceT1b_2  PresenceT1b_3 PresenceT1b_4 PresenceT1b_5  PresenceT1b_6  PresenceT1b_7 PresenceT1b_8 PresenceT1b_9  PresenceT1b_10
  /SCALE('ALL VARIABLES') ALL 
  /MODEL=ALPHA.

RELIABILITY 
  /VARIABLES=Realism_T1b_1 Realism_T1b_2 Realism_T1b_3
  /SCALE('ALL VARIABLES') ALL 
  /MODEL=ALPHA.


RELIABILITY 
  /VARIABLES=PresenceT1b_1  PresenceT1b_2  PresenceT1b_3 PresenceT1b_4 PresenceT1b_5  PresenceT1b_6  PresenceT1b_7 PresenceT1b_8 PresenceT1b_9  PresenceT1b_10 Realism_T1b_1 Realism_T1b_2 Realism_T1b_3
  /SCALE('ALL VARIABLES') ALL 
  /MODEL=ALPHA.


Compute Presence_T1b = MEAN(PresenceT1b_1, PresenceT1b_2, PresenceT1b_3, PresenceT1b_4, PresenceT1b_5, PresenceT1b_6, PresenceT1b_7, PresenceT1b_8, PresenceT1b_9, PresenceT1b_10).
Compute Realism_T1b = MEAN(Realism_T1b_1, Realism_T1b_2, Realism_T1b_3).
Compute IPQ_Full_T1B = MEAN (PresenceT1b_1, PresenceT1b_2, PresenceT1b_3, PresenceT1b_4, PresenceT1b_5, PresenceT1b_6, PresenceT1b_7, PresenceT1b_8, PresenceT1b_9, PresenceT1b_10,
Realism_T1b_1, Realism_T1b_2, Realism_T1b_3).
execute.

Variable label Presence_T1b 'Presence Likert subscale IPQ'.
Variable label T1b_Immersion 'Immersion 0 to 100 scale'.

* ATTENTION

FREQUENCIES VARIABLES=Q89_1 Q89_2 Q89_3 Q89_4 
  /STATISTICS=STDDEV MEAN 
  /ORDER=ANALYSIS.

Recode Q89_1 Q89_2 Q89_3 Q89_4 (1=-3)(2=-2)(3=-1)(4=0)(5=1)(6=2)(7=3) into Attent_T1B_1 Attent_T1B_2 Attent_T1B_3 Attent_T1B_4.
execute.

Compute AttentActor = mean(Attent_T1B_1, Attent_T1B_4).
Compute AttentNonActor = mean(Attent_T1B_2, Attent_T1B_3).
execute.

 FREQUENCIES VARIABLES=Q98 Q94 Q95 
  /STATISTICS=STDDEV MEAN 
  /ORDER=ANALYSIS.

Recode Q98 (1=0)(2=0)(3=1)(4=0)(5=0)(6=-1) into CorrectMorn.
Recode Q94 (1=0)(2=0)(3=1)(4=0)(5=0)(6=-1) into CorrectTrans.
Recode Q95 (1=0)(2=1)(3=0)(4=0)(5=0)(6=-1) into CorrectBar.
execute.
 
value labels CorrectMorn CorrectTrans CorrectBar 0 'Wrong' 1 'Correct' -1 'Dont know'.

FREQUENCIES VARIABLES=CorrectMorn CorrectTrans CorrectBar 
  /STATISTICS=STDDEV MEAN 
  /ORDER=ANALYSIS.





* Craving T1B



Recode Q12_1 (lowest thru highest=copy) into  T1B_Craving100scale.
execute.


Recode Q13_1 Q13_2 Q13_3 Q13_4 Q13_5 Q13_6 Q13_7 Q13_8 Q13_9 Q13_10 Q13_11 Q13_12 
 (1=-3)(2=-2)(3=-1)(4=0)(5=1)(6=2)(7=3) into
SFTCQ_T1b_a SFTCQ_T1b_b SFTCQ_T1b_c SFTCQ_T1b_d SFTCQ_T1b_e SFTCQ_T1b_f
 SFTCQ_T1b_g SFTCQ_T1b_h SFTCQ_T1b_i SFTCQ_T1b_j SFTCQ_T1b_k SFTCQ_T1b_l.
execute.


RELIABILITY 
  /VARIABLES=SFTCQ_T1b_a SFTCQ_T1b_b SFTCQ_T1b_c SFTCQ_T1b_d SFTCQ_T1b_e SFTCQ_T1b_f
 SFTCQ_T1b_g SFTCQ_T1b_h SFTCQ_T1b_i SFTCQ_T1b_j SFTCQ_T1b_k SFTCQ_T1b_l
  /SCALE('ALL VARIABLES') ALL 
  /MODEL=ALPHA 
  /STATISTICS=DESCRIPTIVE SCALE 
  /SUMMARY=TOTAL.

Compute SFTCQ_T1b= Mean(SFTCQ_T1b_a, SFTCQ_T1b_b,SFTCQ_T1b_c,SFTCQ_T1b_d,SFTCQ_T1b_e, 
   SFTCQ_T1b_f,SFTCQ_T1b_g,SFTCQ_T1b_h,SFTCQ_T1b_i,SFTCQ_T1b_j,SFTCQ_T1b_k, 
   SFTCQ_T1b_l).

FREQUENCIES VARIABLES=SFTCQ_T1b 
  /STATISTICS=STDDEV MEAN 
  /ORDER=ANALYSIS.




* TO COMPUTE CONDITION

IF (AGE>0) CONDITION=0.
RECODE CONDITION (SYSMIS=0).
EXECUTE.

VALUE LABEL CONDITION 0 '2D ENVIRONMENT' 1 '3D ENVIRONMENT'.
























********************* CONTINUE IN MERGED_V1.SAV
***************** SAVE AS MERGED_V2.sav

SORT CASES BY SFTCQ_T1b(A).

* First four rows are test cases
* delete



* RANDOMISATIECHECK

GLM Age T1A_Craving100scale BY CONDITION SmokeYN 
  /METHOD=SSTYPE(3) 
  /INTERCEPT=INCLUDE 
  /PRINT=DESCRIPTIVE ETASQ 
  /CRITERIA=ALPHA(.05) 
  /DESIGN= CONDITION SmokeYN CONDITION*SmokeYN.

CROSSTABS 
  /TABLES=CONDITION BY Gender 
  /FORMAT=AVALUE TABLES 
  /STATISTICS=CHISQ 
  /CELLS=COUNT 
  /COUNT ROUND CELL.

CROSSTABS 
  /TABLES=CONDITION BY SmokeYN 
  /FORMAT=AVALUE TABLES 
  /STATISTICS=CHISQ 
  /CELLS=COUNT 
  /COUNT ROUND CELL.

* RANDOMISATIE SUCCES

* MANIPULATION CHECK => LUKT NIET VOOR REALISM MAAR WAS DIT WEL MANIPULATED

GLM Immersed_T1b Realism_T1b T1b_Immersion BY CONDITION 
  /METHOD=SSTYPE(3) 
  /INTERCEPT=INCLUDE 
  /EMMEANS=TABLES(OVERALL) 
  /EMMEANS=TABLES(CONDITION) COMPARE ADJ(BONFERRONI) 
  /PRINT=DESCRIPTIVE ETASQ 
  /CRITERIA=ALPHA(.05) 
  /DESIGN= CONDITION.

GLM IPQ_Full_T1b T1b_Immersion BY CONDITION 
  /METHOD=SSTYPE(3) 
  /INTERCEPT=INCLUDE 
  /EMMEANS=TABLES(OVERALL) 
  /EMMEANS=TABLES(CONDITION) COMPARE ADJ(BONFERRONI) 
  /PRINT=DESCRIPTIVE ETASQ 
  /CRITERIA=ALPHA(.05) 
  /DESIGN= CONDITION.




* AANDACHT JUISTE ANTWOORDEN

CROSSTABS 
  /TABLES=CONDITION BY CorrectMorn CorrectTrans CorrectBar 
  /FORMAT=AVALUE TABLES 
  /STATISTICS=CHISQ 
  /CELLS=COUNT 
  /COUNT ROUND CELL.

* AANDACHT EN IMMESION LINEAIR

GLM AttentActor AttentNonActor IMMERSION ImmersTrans ImmersMorn ImmersBar BY CONDITION 
  /METHOD=SSTYPE(3) 
  /INTERCEPT=INCLUDE 
  /PRINT=DESCRIPTIVE ETASQ 
  /CRITERIA=ALPHA(.05) 
  /DESIGN= CONDITION.

* AANDACHT GELIJK, IMMERSION ANDERS OVER CONDITIES: 3D MORE IMMERSIVE DAN 2D.

GLM T1A_Craving100scale T1B_Craving100scale BY CONDITION SmokeYN 
  /WSFACTOR=Craving 2 Polynomial 
  /METHOD=SSTYPE(3) 
  /PLOT=PROFILE(Craving*CONDITION*SmokeYN) TYPE=LINE ERRORBAR=NO MEANREFERENCE=NO YAXIS=AUTO 
  /EMMEANS=TABLES(OVERALL) 
  /EMMEANS=TABLES(CONDITION) COMPARE ADJ(BONFERRONI) 
  /EMMEANS=TABLES(SmokeYN) COMPARE ADJ(BONFERRONI) 
  /EMMEANS=TABLES(Craving) COMPARE ADJ(BONFERRONI) 
  /EMMEANS=TABLES(CONDITION*SmokeYN) 
  /EMMEANS=TABLES(CONDITION*Craving) 
  /EMMEANS=TABLES(SmokeYN*Craving) 
  /EMMEANS=TABLES(CONDITION*SmokeYN*Craving) 
  /PRINT=DESCRIPTIVE ETASQ 
  /CRITERIA=ALPHA(.05) 
  /WSDESIGN=Craving 
  /DESIGN=CONDITION SmokeYN CONDITION*SmokeYN.

* CLEANING DATA

SORT CASES BY AverageSmokProd(A).

FREQUENCIES VARIABLES=AverageSmokProd 
  /ORDER=ANALYSIS.

FREQUENCIES VARIABLES=Age Gender 
  /STATISTICS=STDDEV MEAN MEDIAN 
  /ORDER=ANALYSIS.

* 1 sysmis, 3 who smoked no cigarettes. * or smoking less than the minimum of one cigarette a day in the past six months (2 participants). 
* exclude


Recode AverageSmokProd (sysmis=0).
IF (AverageSmokProd = 0)  ExcludeSmoke = 1.
IF (AverageSmokProd < 1)  ExcludeSmoke = 1.
execute.

recode excludesmoke (sysmis=0).

value labels excludesmoke 0 'include correct smoking status' 1 'exclude correct smoking status'.
execute. 

FREQUENCIES VARIABLES=AverageSmokProd excludesmoke
  /ORDER=ANALYSIS.

SORT CASES  BY ExcludeSmoke. 
SPLIT FILE SEPARATE BY ExcludeSmoke. 
FREQUENCIES VARIABLES=Age Gender 
  /STATISTICS=STDDEV MEAN 
  /ORDER=ANALYSIS.

Split file off.

FREQUENCIES VARIABLES=Age 
  /ORDER=ANALYSIS.

IF (Age > 32) ExcludeAge=1.
Recode ExcludeAge (sysmis=0).
execute.



* RANDOMISATIE IS SUCCSSFUL

GLM Age T1A_Craving100scale T1A_NicotineDepend SFTCQ_T1A BY CONDITION 
  /METHOD=SSTYPE(3) 
  /INTERCEPT=INCLUDE 
  /PRINT=DESCRIPTIVE ETASQ 
  /CRITERIA=ALPHA(.05) 
  /DESIGN= CONDITION.

CROSSTABS 
  /TABLES=CONDITION BY Gender 
  /FORMAT=AVALUE TABLES 
  /STATISTICS=CHISQ 
  /CELLS=COUNT 
  /COUNT ROUND CELL.

CROSSTABS 
  /TABLES=CONDITION BY SmokeYN 
  /FORMAT=AVALUE TABLES 
  /STATISTICS=CHISQ 
  /CELLS=COUNT 
  /COUNT ROUND CELL.



USE ALL. 
COMPUTE filter_$=(ExcludeSmoke = 0). 
VARIABLE LABELS filter_$ 'ExcludeSmoke = 0 (FILTER)'. 
VALUE LABELS filter_$ 0 'Not Selected' 1 'Selected'. 
FORMATS filter_$ (f1.0). 
FILTER BY filter_$. 
EXECUTE.

* also exclude high age => DOES NOT AFFECT RESULTS

USE ALL. 
COMPUTE filter_$=(ExcludeSmoke = 0 & ExcludeAge = 0). 
VARIABLE LABELS filter_$ 'ExcludeSmoke = 0 & ExcludeAge = 0 (FILTER)'. 
VALUE LABELS filter_$ 0 'Not Selected' 1 'Selected'. 
FORMATS filter_$ (f1.0). 
FILTER BY filter_$. 
EXECUTE.


* For TABLE 1

FREQUENCIES VARIABLES=Gender Age T1A_Craving100scale T1A_NicotineDepend SFTCQ_T1A
  /STATISTICS=STDDEV MEAN 
  /ORDER=ANALYSIS.


SORT CASES  BY SmokeYN CONDITION. 
SPLIT FILE SEPARATE BY SmokeYN CONDITION.

FREQUENCIES VARIABLES=Gender Age T1A_Craving100scale T1A_NicotineDepend SFTCQ_T1A
  /STATISTICS=STDDEV MEAN 
  /ORDER=ANALYSIS.

Split file off.


* SITUATIONS YES OR NO

SORT CASES  BY SmokeYN CONDITION. 
SPLIT FILE SEPARATE BY SmokeYN CONDITION.

FREQUENCIES VARIABLES=SmokeTransYN SmokeMornYN SmokeBarYN 
  /ORDER=ANALYSIS.

* FREQUENCY IN CASE OF YES

FREQUENCIES VARIABLES=OftenTrans OftenMorn OftenBar 
  /STATISTICS=STDDEV MEAN 
  /ORDER=ANALYSIS.




FREQUENCIES VARIABLES=SmokeTransYN SmokeMornYN SmokeBarYN 
  /ORDER=ANALYSIS.

FREQUENCIES VARIABLES=OftenTrans OftenMorn OftenBar 
  /STATISTICS=STDDEV MEAN 
  /ORDER=ANALYSIS.


* FOLLOW-UP DATA IN TABLE 1

FREQUENCIES VARIABLES=T1B_Craving100scale  SFTCQ_T1B T1B_ImmersTrans T1B_ImmersMorn T1B_ImmersBar T1B_Immersion IPQ_Full_T1B
  /STATISTICS=STDDEV MEAN 
  /ORDER=ANALYSIS.

SORT CASES  BY SmokeYN CONDITION. 
SPLIT FILE SEPARATE BY SmokeYN CONDITION.

FREQUENCIES VARIABLES=T1B_Craving100scale  SFTCQ_T1B T1B_ImmersTrans T1B_ImmersMorn T1B_ImmersBar T1B_Immersion IPQ_Full_T1B
  /STATISTICS=STDDEV MEAN 
  /ORDER=ANALYSIS.

Split file off.



* FOR RANDOMISATION IN TEXT

CROSSTABS 
  /TABLES=CONDITION BY SmokeYN 
  /FORMAT=AVALUE TABLES 
  /STATISTICS=CHISQ 
  /CELLS=COUNT 
  /COUNT ROUND CELL.

CROSSTABS 
  /TABLES=CONDITION BY SmokeYN BY Gender 
  /FORMAT=AVALUE TABLES 
  /STATISTICS=CHISQ 
  /CELLS=COUNT 
  /COUNT ROUND CELL.

CROSSTABS 
  /TABLES=CONDITION BY SmokeYN BY SmokeTransYN 
  /FORMAT=AVALUE TABLES 
  /STATISTICS=CHISQ 
  /CELLS=COUNT 
  /COUNT ROUND CELL.

CROSSTABS 
  /TABLES=CONDITION BY SmokeYN BY SmokeMornYN 
  /FORMAT=AVALUE TABLES 
  /STATISTICS=CHISQ 
  /CELLS=COUNT 
  /COUNT ROUND CELL.

CROSSTABS 
  /TABLES=CONDITION BY SmokeYN BY SmokeBarYN 
  /FORMAT=AVALUE TABLES 
  /STATISTICS=CHISQ 
  /CELLS=COUNT 
  /COUNT ROUND CELL.




* MAIN ANALYSIS

GLM T1A_Craving100scale T1B_Craving100scale BY SmokeYN CONDITION 
  /WSFACTOR=VASCrave 2 Polynomial 
  /METHOD=SSTYPE(3) 
  /PLOT=PROFILE(VASCrave*CONDITION*SmokeYN) TYPE=LINE ERRORBAR=NO MEANREFERENCE=NO YAXIS=AUTO 
  /EMMEANS=TABLES(OVERALL) 
  /EMMEANS=TABLES(SmokeYN) COMPARE ADJ(BONFERRONI) 
  /EMMEANS=TABLES(CONDITION) COMPARE ADJ(BONFERRONI) 
  /EMMEANS=TABLES(VASCrave) COMPARE ADJ(BONFERRONI) 
  /EMMEANS=TABLES(SmokeYN*CONDITION) 
  /EMMEANS=TABLES(SmokeYN*VASCrave) 
  /EMMEANS=TABLES(CONDITION*VASCrave) 
  /EMMEANS=TABLES(SmokeYN*CONDITION*VASCrave) 
  /PRINT=DESCRIPTIVE ETASQ 
  /CRITERIA=ALPHA(.05) 
  /WSDESIGN=VASCrave 
  /DESIGN=SmokeYN CONDITION SmokeYN*CONDITION.

GLM SFTCQ_T1a SFTCQ_T1b BY SmokeYN CONDITION 
  /WSFACTOR=SFTCQ 2 Polynomial 
  /METHOD=SSTYPE(3) 
  /PLOT=PROFILE(SFTCQ*CONDITION*SmokeYN) TYPE=LINE ERRORBAR=NO MEANREFERENCE=NO YAXIS=AUTO 
  /EMMEANS=TABLES(OVERALL) 
  /EMMEANS=TABLES(SmokeYN) COMPARE ADJ(BONFERRONI) 
  /EMMEANS=TABLES(CONDITION) COMPARE ADJ(BONFERRONI) 
  /EMMEANS=TABLES(SFTCQ) COMPARE ADJ(BONFERRONI) 
  /EMMEANS=TABLES(SmokeYN*CONDITION) 
  /EMMEANS=TABLES(SmokeYN*SFTCQ) 
  /EMMEANS=TABLES(CONDITION*SFTCQ) 
  /EMMEANS=TABLES(SmokeYN*CONDITION*SFTCQ) 
  /PRINT=DESCRIPTIVE ETASQ 
  /CRITERIA=ALPHA(.05) 
  /WSDESIGN=SFTCQ 
  /DESIGN=SmokeYN CONDITION SmokeYN*CONDITION.



* ADJUST FOR NICOTINE DEPENDENCE AT BASELINE

GLM T1A_Craving100scale T1B_Craving100scale BY CONDITION SmokeYN WITH T1A_NicotineDepend 
  /WSFACTOR=VASCrave 2 Polynomial 
  /METHOD=SSTYPE(3) 
  /PLOT=PROFILE(VASCrave*SmokeYN*CONDITION) TYPE=LINE ERRORBAR=NO MEANREFERENCE=NO YAXIS=AUTO 
  /EMMEANS=TABLES(OVERALL) WITH(T1A_NicotineDepend=MEAN) 
  /EMMEANS=TABLES(CONDITION) WITH(T1A_NicotineDepend=MEAN)COMPARE ADJ(BONFERRONI) 
  /EMMEANS=TABLES(SmokeYN) WITH(T1A_NicotineDepend=MEAN)COMPARE ADJ(BONFERRONI) 
  /EMMEANS=TABLES(VASCrave) WITH(T1A_NicotineDepend=MEAN)COMPARE ADJ(BONFERRONI) 
  /EMMEANS=TABLES(CONDITION*SmokeYN) WITH(T1A_NicotineDepend=MEAN) 
  /EMMEANS=TABLES(CONDITION*VASCrave) WITH(T1A_NicotineDepend=MEAN) 
  /EMMEANS=TABLES(SmokeYN*VASCrave) WITH(T1A_NicotineDepend=MEAN) 
  /EMMEANS=TABLES(CONDITION*SmokeYN*VASCrave) WITH(T1A_NicotineDepend=MEAN) 
    /EMMEANS=TABLES(SmokeYN*CONDITION*VASCrave) WITH(T1A_NicotineDepend=MEAN) 
  /PRINT=DESCRIPTIVE ETASQ 
  /CRITERIA=ALPHA(.05) 
  /WSDESIGN=VASCrave 
  /DESIGN=T1A_NicotineDepend CONDITION SmokeYN CONDITION*SmokeYN.


GLM SFTCQ_T1a SFTCQ_T1b BY CONDITION SmokeYN WITH T1A_NicotineDepend 
  /WSFACTOR=SFTCQ 2 Polynomial 
  /METHOD=SSTYPE(3) 
  /PLOT=PROFILE(SFTCQ*SmokeYN*CONDITION) TYPE=LINE ERRORBAR=NO MEANREFERENCE=NO YAXIS=AUTO 
  /EMMEANS=TABLES(OVERALL) WITH(T1A_NicotineDepend=MEAN) 
  /EMMEANS=TABLES(CONDITION) WITH(T1A_NicotineDepend=MEAN)COMPARE ADJ(BONFERRONI) 
  /EMMEANS=TABLES(SmokeYN) WITH(T1A_NicotineDepend=MEAN)COMPARE ADJ(BONFERRONI) 
  /EMMEANS=TABLES(SFTCQ) WITH(T1A_NicotineDepend=MEAN)COMPARE ADJ(BONFERRONI) 
  /EMMEANS=TABLES(CONDITION*SmokeYN) WITH(T1A_NicotineDepend=MEAN) 
  /EMMEANS=TABLES(CONDITION*SFTCQ) WITH(T1A_NicotineDepend=MEAN) 
  /EMMEANS=TABLES(SmokeYN*SFTCQ) WITH(T1A_NicotineDepend=MEAN) 
  /EMMEANS=TABLES(CONDITION*SmokeYN*SFTCQ) WITH(T1A_NicotineDepend=MEAN) 
  /PRINT=DESCRIPTIVE ETASQ 
  /CRITERIA=ALPHA(.05) 
  /WSDESIGN=SFTCQ 
  /DESIGN=T1A_NicotineDepend CONDITION SmokeYN CONDITION*SmokeYN.

* ONDERSTAANDE OM EFFECTEN OP PRESENCE TE BEKIJKEN ALS MOGELIJKE VERKLARING WAAROM IN LOW IMMERSION ER TOCH BIJ ROKERS CRAVING OPTREEDT EN BIJ EX-NIET: WELLICHT DUS DOOR PRESENCE?

UNIANOVA Presence_T1b BY SmokeYN CONDITION 
  /METHOD=SSTYPE(3) 
  /INTERCEPT=INCLUDE 
  /EMMEANS=TABLES(OVERALL) 
  /EMMEANS=TABLES(SmokeYN) COMPARE ADJ(BONFERRONI) 
  /EMMEANS=TABLES(CONDITION) COMPARE ADJ(BONFERRONI) 
  /EMMEANS=TABLES(SmokeYN*CONDITION) 
  /PRINT ETASQ DESCRIPTIVE 
  /CRITERIA=ALPHA(.05) 
  /DESIGN=SmokeYN CONDITION SmokeYN*CONDITION.

GLM Presence_T1b T1b_Immersion BY SmokeYN CONDITION 
  /METHOD=SSTYPE(3) 
  /INTERCEPT=INCLUDE 
  /EMMEANS=TABLES(OVERALL) 
  /EMMEANS=TABLES(SmokeYN) COMPARE ADJ(BONFERRONI) 
  /EMMEANS=TABLES(CONDITION) COMPARE ADJ(BONFERRONI) 
  /EMMEANS=TABLES(SmokeYN*CONDITION) 
  /PRINT=DESCRIPTIVE ETASQ 
  /CRITERIA=ALPHA(.05) 
  /DESIGN= SmokeYN CONDITION SmokeYN*CONDITION.

* NIET HET GEVAL..

GLM SFTCQ_T1A SFTCQ_T1b T1A_Craving100scale T1B_Craving100scale BY CONDITION SmokeYN WITH 
    T1A_NicotineDepend 
  /WSFACTOR=CravingLikert 2 Polynomial CravingVAS 2 Polynomial 
  /METHOD=SSTYPE(3) 
  /PLOT=PROFILE(CONDITION*CravingVAS*SmokeYN) TYPE=LINE ERRORBAR=CI MEANREFERENCE=NO YAXIS=AUTO 
  /EMMEANS=TABLES(SmokeYN) WITH(T1A_NicotineDepend=MEAN)COMPARE ADJ(BONFERRONI) 
  /EMMEANS=TABLES(CravingLikert) WITH(T1A_NicotineDepend=MEAN)COMPARE ADJ(BONFERRONI) 
  /EMMEANS=TABLES(CravingVAS) WITH(T1A_NicotineDepend=MEAN)COMPARE ADJ(BONFERRONI) 
  /EMMEANS=TABLES(CONDITION*SmokeYN) WITH(T1A_NicotineDepend=MEAN) 
  /EMMEANS=TABLES(CONDITION*CravingLikert) WITH(T1A_NicotineDepend=MEAN) 
  /EMMEANS=TABLES(CONDITION*CravingVAS) WITH(T1A_NicotineDepend=MEAN) 
  /EMMEANS=TABLES(SmokeYN*CravingLikert) WITH(T1A_NicotineDepend=MEAN) 
  /EMMEANS=TABLES(SmokeYN*CravingVAS) WITH(T1A_NicotineDepend=MEAN) 
  /EMMEANS=TABLES(CONDITION*SmokeYN*CravingLikert) WITH(T1A_NicotineDepend=MEAN) 
  /EMMEANS=TABLES(CONDITION*SmokeYN*CravingVAS) WITH(T1A_NicotineDepend=MEAN) 
  /PRINT=DESCRIPTIVE ETASQ 
  /CRITERIA=ALPHA(.05) 
  /DESIGN= CONDITION SmokeYN T1A_NicotineDepend CONDITION*SmokeYN.


* COMMENTAAR CATHERINE: WAAROM NIET ALLEEN OP FOLLOW-UP, MET CONTROLE VOOR BASELINE SCORES?
* LIJKT ME NIET NODIG EN HANDIG, WANT EEN VAN DE CONDITIES SCOORT SOWIESO HOOG DOOR QUASI-EXPERIMENTEEL DESIGN 

GLM T1B_Craving100scale SFTCQ_T1b BY SmokeYN CONDITION WITH T1A_NicotineDepend T1A_Craving100scale 
    SFTCQ_T1A 
  /METHOD=SSTYPE(3) 
  /INTERCEPT=INCLUDE 
  /PLOT=PROFILE(SmokeYN*CONDITION CONDITION*SmokeYN) TYPE=LINE ERRORBAR=NO MEANREFERENCE=NO 
    YAXIS=AUTO 
  /EMMEANS=TABLES(OVERALL) WITH(T1A_NicotineDepend=MEAN T1A_Craving100scale=MEAN SFTCQ_T1A=MEAN) 
  /EMMEANS=TABLES(SmokeYN) WITH(T1A_NicotineDepend=MEAN T1A_Craving100scale=MEAN SFTCQ_T1A=MEAN) 
    COMPARE ADJ(LSD) 
  /EMMEANS=TABLES(CONDITION) WITH(T1A_NicotineDepend=MEAN T1A_Craving100scale=MEAN SFTCQ_T1A=MEAN) 
    COMPARE ADJ(LSD) 
  /EMMEANS=TABLES(SmokeYN*CONDITION) WITH(T1A_NicotineDepend=MEAN T1A_Craving100scale=MEAN 
    SFTCQ_T1A=MEAN) 
  /PRINT=DESCRIPTIVE ETASQ 
  /CRITERIA=ALPHA(.05) 
  /DESIGN=T1A_NicotineDepend T1A_Craving100scale SFTCQ_T1A SmokeYN CONDITION SmokeYN*CONDITION.